Cyberduck Mountain Duck CLI

#2086 closed defect (fixed)

Not Saving Edited Files

Reported by: andy@… Owned by: dkocher
Priority: highest Milestone: 3.0.2
Component: core Version: 3.0
Severity: critical Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

The latest nightly build (3980) isnt uploading files when edited. When opening a file, making changes, and then saving over FTP, it says 'file uploaded' almost immediately (unrealisticly).

Checking the server, no changes were actually saved..

[root@ns1 html]# ls -al product_browse.phtml
-rwxr-xr-x  1 admin2 admin2 11208 May  4 09:03 product_browse.phtml
[[FILE SAVED WITH CYBERDUCK]]
[root@ns1 html]# date
Fri May 16 09:38:40 CDT 2008
[root@ns1 html]# ls -al product_browse.phtml
-rwxr-xr-x  1 admin2 admin2 11208 May  4 09:03 product_browse.phtml

Im going back to using an older version until version 3.0 becomes usable..

Thanks.

Change History (8)

comment:1 Changed on May 16, 2008 at 5:17:04 PM by dkocher

  • Description modified (diff)
  • Milestone changed from 3.1 to 3.0.1
  • Resolution set to duplicate
  • Status changed from new to closed

Please try the latest nightly build from http://update.cyberduck.ch/nightly.

comment:2 Changed on Jun 23, 2008 at 10:42:35 PM by anonymous

  • Resolution duplicate deleted
  • Status changed from closed to reopened

still the same is happening with 4022 and when you just take a file that is already on the server and drag into the server, the file isn't updated as well (old version remains), it could be related i think? i'm going back to previous versions too because the editting isn't working en deleting files before uploading them makes me lose much time ;)

comment:3 Changed on Jul 20, 2008 at 10:20:23 PM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed

comment:4 Changed on Jul 26, 2008 at 5:39:17 AM by bhunt89@…

  • Milestone changed from 3.0.1 to 3.0.2
  • Resolution worksforme deleted
  • Status changed from closed to reopened

hmm still not working in 4128

When I am opening the file:

RETR fotos.php
150 Opening ASCII mode data connection for fotos.php (5855 bytes)
226 Transfer complete.

When I am saving the file:

NOOP
200 NOOP command successful
NOOP
200 NOOP command successful
STAT /
211-Status of /:
211-drwxr-x---  25 530607   httpd        4096 Jun 11 14:04 .
211-drwxr-x---  25 530607   httpd        4096 Jun 11 14:04 ..
.......
211 End of Status

comment:5 Changed on Jul 26, 2008 at 8:55:25 AM by dkocher

Can you find any related output in the console.log (/Applications/Utilities/Console.app)?

comment:6 Changed on Jul 26, 2008 at 12:15:07 PM by bhunt89@…

no related output..

comment:7 Changed on Jul 26, 2008 at 12:26:41 PM by dkocher

Can you attach the file ~/Library/Preferences/ch.sudo.cyberduck.plist.

comment:8 Changed on Aug 7, 2008 at 8:00:12 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r4156.

Note: See TracTickets for help on using tickets.
swiss made software